App::Pinto::Command::log(3pm)

NAME
App::Pinto::Command::log - show the revision logs of a stack

VERSION
version 0.097

SYNOPSIS
  pinto --root=REPOSITORY_ROOT log [STACK] [OPTIONS]

DESCRIPTION
!! THIS COMMAND IS EXPERIMENTAL !!

This command shows the commit logs for the stack. To see the precise changes in any particular commit, use the App::Pinto::Command::show command.

COMMAND ARGUMENTS
As an alternative to the "--stack" option, you can specify it as an argument. So the following examples are equivalent:

  pinto --root REPOSITORY_ROOT log --stack=dev
  pinto --root REPOSITORY_ROOT log dev

A "stack" argument will override anything specified with the "--stack" option. If the stack is not specified using neither argument nor option, then the logs of the default stack will be shown.

COMMAND OPTIONS

--stack NAME
-s NAME
    Show the logs of the stack with the given NAME. Defaults to the name of whichever stack is currently marked as the default stack. Use the stacks command to see the stacks in the repository.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.